Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.save.converters
Class SampleResultConverter

    java.lang.Object
      com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter
          org.apache.jmeter.save.converters.SampleResultConverter

All Implemented Interfaces:
  com.thoughtworks.xstream.converters.Converter, com.thoughtworks.xstream.converters.ConverterMatcher

Direct Known Subclasses:
  HTTPResultConverter

public class SampleResultConverter
extends com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter

XStream Converter for the SampleResult class

Field Summary
`protected static String` | `TAG_COOKIES`
`protected static String` | `TAG_METHOD`
`protected static String` | `TAG_QUERY_STRING`
`protected static String` | `TAG_REDIRECT_LOCATION`
`protected static String` | `TAG_REQUEST_HEADER`
`protected static String` | `TAG_RESPONSE_DATA`
`protected static String` | `TAG_RESPONSE_FILE`
`protected static String` | `TAG_RESPONSE_HEADER`
`protected static String` | `TAG_SAMPLER_DATA`

Constructor Summary
`SampleResultConverter(com.thoughtworks.xstream.mapper.Mapper arg0)`

Method Summary
`boolean` | `canConvert(Class arg0)`
`static String` | `getVersion()` Returns the converter version; used to check for possible incompatibilities
`void` | `marshal(Object obj, com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context)`
`protected void` | `readFile(String resultFileName, SampleResult res)`
`protected void` | `retrieveAttributes(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context, SampleResult res)`
`protected boolean` | `retrieveItem(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context, SampleResult res, Object subItem)`
`protected void` | `saveAssertions(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context, SampleResult res, SampleSaveConfiguration save)`
`protected void` | `saveRequestHeaders(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context, SampleResult res, SampleSaveConfiguration save)`
`protected void` | `saveResponseData(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context, SampleResult res, SampleSaveConfiguration save)`
`protected void` | `saveResponseHeaders(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context, SampleResult res, SampleSaveConfiguration save)`
`protected void` | `saveSamplerData(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context, SampleResult res, SampleSaveConfiguration save)`
`protected void` | `saveSubResults(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context, SampleResult res, SampleSaveConfiguration save)`
`protected void` | `setAttributes(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context, SampleResult res, SampleSaveConfiguration save)`
`Object` | `unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)`
`protected void` | `writeString(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, String tag, String value)`

Methods inherited from class com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter
`createCollection, mapper, readItem, writeItem`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG_COOKIES

    protected static final String TAG_COOKIES

See Also:
  Constant Field Values

### TAG_METHOD

    protected static final String TAG_METHOD

See Also:
  Constant Field Values

### TAG_QUERY_STRING

    protected static final String TAG_QUERY_STRING

See Also:
  Constant Field Values

### TAG_REDIRECT_LOCATION

    protected static final String TAG_REDIRECT_LOCATION

See Also:
  Constant Field Values

### TAG_REQUEST_HEADER

    protected static final String TAG_REQUEST_HEADER

See Also:
  Constant Field Values

### TAG_RESPONSE_DATA

    protected static final String TAG_RESPONSE_DATA

See Also:
  Constant Field Values

### TAG_RESPONSE_HEADER

    protected static final String TAG_RESPONSE_HEADER

See Also:
  Constant Field Values

### TAG_SAMPLER_DATA

    protected static final String TAG_SAMPLER_DATA

See Also:
  Constant Field Values

### TAG_RESPONSE_FILE

    protected static final String TAG_RESPONSE_FILE

See Also:
  Constant Field Values

Constructor Detail

### SampleResultConverter

    public SampleResultConverter(com.thoughtworks.xstream.mapper.Mapper arg0)

Parameters:
  `arg0` -

Method Detail

### getVersion

    public static String getVersion()

  Returns the converter version; used to check for possible incompatibilities

### canConvert

    public boolean canConvert(Class arg0)

### marshal

    public void marshal(Object obj,
                        com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                        com.thoughtworks.xstream.converters.MarshallingContext context)

### saveSamplerData

    protected void saveSamplerData(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                                   com.thoughtworks.xstream.converters.MarshallingContext context,
                                   SampleResult res,
                                   SampleSaveConfiguration save)

  Parameters:
    `writer` -
    `res` -
    `save` -

### saveResponseData

    protected void saveResponseData(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                                    com.thoughtworks.xstream.converters.MarshallingContext context,
                                    SampleResult res,
                                    SampleSaveConfiguration save)

  Parameters:
    `writer` -
    `res` -
    `save` -

### saveRequestHeaders

    protected void saveRequestHeaders(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                                      com.thoughtworks.xstream.converters.MarshallingContext context,
                                      SampleResult res,
                                      SampleSaveConfiguration save)

  Parameters:
    `writer` -
    `res` -
    `save` -

### saveResponseHeaders

    protected void saveResponseHeaders(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                                       com.thoughtworks.xstream.converters.MarshallingContext context,
                                       SampleResult res,
                                       SampleSaveConfiguration save)

  Parameters:
    `writer` -
    `res` -
    `save` -

### saveSubResults

    protected void saveSubResults(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                                  com.thoughtworks.xstream.converters.MarshallingContext context,
                                  SampleResult res,
                                  SampleSaveConfiguration save)

  Parameters:
    `writer` -
    `context` -
    `res` -
    `save` -

### saveAssertions

    protected void saveAssertions(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                                  com.thoughtworks.xstream.converters.MarshallingContext context,
                                  SampleResult res,
                                  SampleSaveConfiguration save)

  Parameters:
    `writer` -
    `context` -
    `res` -
    `save` -

### setAttributes

    protected void setAttributes(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                                 com.thoughtworks.xstream.converters.MarshallingContext context,
                                 SampleResult res,
                                 SampleSaveConfiguration save)

  Parameters:
    `writer` -
    `res` -
    `save` -

### writeString

    protected void writeString(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                               String tag,
                               String value)

  Parameters:
    `writer` -
    `tag` -
    `value` -

### unmarshal

    public Object unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader,
                            com.thoughtworks.xstream.converters.UnmarshallingContext context)

### retrieveItem

    protected boolean retrieveItem(com.thoughtworks.xstream.io.HierarchicalStreamReader reader,
                                   com.thoughtworks.xstream.converters.UnmarshallingContext context,
                                   SampleResult res,
                                   Object subItem)

  Parameters:
    `reader` -
    `context` -
    `res` -
  Returns:
    true if the item was processed (for HTTPResultConverter)

### retrieveAttributes

    protected void retrieveAttributes(com.thoughtworks.xstream.io.HierarchicalStreamReader reader,
                                      com.thoughtworks.xstream.converters.UnmarshallingContext context,
                                      SampleResult res)

  Parameters:
    `reader` -
    `res` -

### readFile

    protected void readFile(String resultFileName,
                            SampleResult res)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.